curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_driver_license_dmv" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "document_number=SAMPLE-DOC-12345" \
-F "driver_license_state=Sample State"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_driver_license_dmv"],
first_name="John",
last_name="Doe",
document_number="SAMPLE-DOC-12345",
driver_license_state="Sample State",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_driver_license_dmv"],
first_name: "John",
last_name: "Doe",
document_number: "SAMPLE-DOC-12345",
driver_license_state: "Sample State",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_driver_license_dmv"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DocumentNumber: didit.String("SAMPLE-DOC-12345"),
DriverLicenseState: didit.String("Sample State"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_driver_license_dmv"))
.firstName("John")
.lastName("Doe")
.documentNumber("SAMPLE-DOC-12345")
.driverLicenseState("Sample State")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_driver_license_dmv'],
'first_name' => 'John',
'last_name' => 'Doe',
'document_number' => 'SAMPLE-DOC-12345',
'driver_license_state' => 'Sample State',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_driver_license_dmv"],
first_name: "John",
last_name: "Doe",
document_number: "SAMPLE-DOC-12345",
driver_license_state: "Sample State",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_driver_license_dmv" },
FirstName = "John",
LastName = "Doe",
DocumentNumber = "SAMPLE-DOC-12345",
DriverLicenseState = "Sample State",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"middle_name": "Demo"
},
"validation": {
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"middle_name": "Demo"
},
"validation": {
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇺🇸 미국
미국 운전면허(DMV) 데이터베이스 검증 API
Didit으로 미국 DMV 데이터베이스를 조회해 운전면허 정보를 공신력 있는 원천에서 확인하세요. 건당 $1.99부터, 계약 및 최소 사용량 없음.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_driver_license_dmv" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "document_number=SAMPLE-DOC-12345" \
-F "driver_license_state=Sample State"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_driver_license_dmv"],
first_name="John",
last_name="Doe",
document_number="SAMPLE-DOC-12345",
driver_license_state="Sample State",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_driver_license_dmv"],
first_name: "John",
last_name: "Doe",
document_number: "SAMPLE-DOC-12345",
driver_license_state: "Sample State",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_driver_license_dmv"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DocumentNumber: didit.String("SAMPLE-DOC-12345"),
DriverLicenseState: didit.String("Sample State"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_driver_license_dmv"))
.firstName("John")
.lastName("Doe")
.documentNumber("SAMPLE-DOC-12345")
.driverLicenseState("Sample State")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_driver_license_dmv'],
'first_name' => 'John',
'last_name' => 'Doe',
'document_number' => 'SAMPLE-DOC-12345',
'driver_license_state' => 'Sample State',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_driver_license_dmv"],
first_name: "John",
last_name: "Doe",
document_number: "SAMPLE-DOC-12345",
driver_license_state: "Sample State",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_driver_license_dmv" },
FirstName = "John",
LastName = "Doe",
DocumentNumber = "SAMPLE-DOC-12345",
DriverLicenseState = "Sample State",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"middle_name": "Demo"
},
"validation": {
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"middle_name": "Demo"
},
"validation": {
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
미국 운전면허증 또는 주 신분증을 발급 주의 자동차 관리국(DMV) 기록과 대조하여 면허 번호, 소지자의 성명 및 생년월일을 확인합니다. Didit은 이 서비스를
POST /v3/database-validation/ 엔드포인트로 제공하므로, 제출된 데이터를 공식 출처와 대조하고 정규화된 일치 결과를 받을 수 있습니다. 입력 형식: document_number에는 미국 운전면허증 또는 주 신분증 번호를 입력합니다(영문자와 숫자 4~20자, 대시와 공백 허용).
커버리지
- 커버리지: ~ 90%
- 국가: United States
- 서비스 ID:
usa_driver_license_dmv - 데이터 도메인: 문서
- 카테고리: DriverLicence
입력
| 필드 | 필수 여부 | 예시 |
|---|---|---|
first_name | 예 | John |
last_name | 예 | Doe |
document_number | 예 | SAMPLE-DOC-12345 |
driver_license_state | 예 | Sample State |
middle_name | 아니요 | Demo |
date_of_birth | 아니요 | 1990-01-01 |
date_of_issue | 아니요 | 1990-01-01 |
expiration_date | 아니요 | 1990-01-01 |
gender | 아니요 | M |
document_type | 아니요 | DL |
vendor_data | 아니요 | user-1234 |
- 필수 입력:
first_name,last_name,document_number,driver_license_state - 선택 입력:
middle_name,date_of_birth,date_of_issue,expiration_date,gender,document_type,vendor_data - 동의: 필요하지 않음
- 워크플로 사용 가능 여부: 워크플로에서 사용 가능
- 적용 범위: ~ 90%
- 가격: 성공한 쿼리당 $1.99
요청 본문 파라미터
string
기본값:"USA"
필수
이 데이터베이스 서비스의 ISO 3166-1 alpha-3 국가 코드입니다.예시:
USAstring
기본값:"usa_driver_license_dmv"
필수
이 서비스 ID를 포함하는 배열입니다. 서비스를 고정하면 요청이 이 정확한 데이터베이스로만 한정됩니다.예시:
usa_driver_license_dmvstring
기본값:"John"
필수
검증할 이름입니다.예시:
Johnstring
기본값:"Doe"
필수
검증할 성입니다.예시:
Doestring
기본값:"SAMPLE-DOC-12345"
필수
문서에서 추출했거나 사용자가 제공한 문서 번호입니다.예시:
SAMPLE-DOC-12345string
기본값:"Sample State"
필수
운전면허증을 발급한 주 또는 지역입니다.예시:
Sample Statestring
중간 이름입니다(있는 경우).예시:
Demostring
YYYY-MM-DD 형식의 생년월일입니다.예시: 1990-01-01string
이 데이터베이스 서비스에서 요구하는
date_of_issue 값입니다.예시: 1990-01-01string
이 데이터베이스 서비스에서 요구하는
expiration_date 값입니다.예시: 1990-01-01string
데이터베이스에서 요구하는 경우 입력하는 성별 값입니다.허용되는 값:
M(남성), F(여성), X(기타 또는 알 수 없음).예시: Mstring
이 데이터베이스 서비스에서 검증할 문서 유형입니다.허용되는 값:
DL(운전면허증), ID(국민 신분증).예시: DLstring
기본값:"user-1234"
내부 사용자 ID 등, 이 사람을 가리키는 안정적인 사용자 참조값입니다. Didit은 이 값을 사용해 단독 검사를 같은 최종 사용자와 연결하고, 중복 감지의 노이즈를 줄입니다.예시:
user-1234입력 규칙 및 검증 참고 사항
- 미국 운전면허증 또는 주 신분증 번호(영문자와 숫자 4~20자, 하이픈과 공백 허용)
document_number는 4~20자여야 합니다.document_number는[A-Za-z0-9][A-Za-z0-9 -]{2,18}[A-Za-z0-9]패턴과 일치해야 합니다.driver_license_state에는 발급 주의 두 글자 코드(TX) 또는 주 이름(Texas)을 보내십시오.- 캘리포니아주와 펜실베이니아주 운전면허증은 이 서비스에서 확인하지 않습니다.
호출 방법
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_driver_license_dmv" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "document_number=SAMPLE-DOC-12345" \
-F "driver_license_state=Sample State"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_driver_license_dmv"],
first_name="John",
last_name="Doe",
document_number="SAMPLE-DOC-12345",
driver_license_state="Sample State",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_driver_license_dmv"],
first_name: "John",
last_name: "Doe",
document_number: "SAMPLE-DOC-12345",
driver_license_state: "Sample State",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_driver_license_dmv"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DocumentNumber: didit.String("SAMPLE-DOC-12345"),
DriverLicenseState: didit.String("Sample State"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_driver_license_dmv"))
.firstName("John")
.lastName("Doe")
.documentNumber("SAMPLE-DOC-12345")
.driverLicenseState("Sample State")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_driver_license_dmv'],
'first_name' => 'John',
'last_name' => 'Doe',
'document_number' => 'SAMPLE-DOC-12345',
'driver_license_state' => 'Sample State',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_driver_license_dmv"],
first_name: "John",
last_name: "Doe",
document_number: "SAMPLE-DOC-12345",
driver_license_state: "Sample State",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_driver_license_dmv" },
FirstName = "John",
LastName = "Doe",
DocumentNumber = "SAMPLE-DOC-12345",
DriverLicenseState = "Sample State",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
성공한 호출은 모두 HTTP 200을 반환합니다. outcome_code 필드는 실제로 무슨 일이 있었는지 알려줍니다. 예를 들어 실제 생체 인식 불일치(BIOMETRIC_NO_MATCH)와 판독할 수 없었던 셀피(BIOMETRIC_IMAGE_UNUSABLE)를 구분해 줍니다. 표시되는 status는 기본 기능 상태이며, 구성한 부분 일치 / 불일치 작업으로 이를 재정의할 수 있습니다.MATCH: 레지스트리에서 신원이 확인되었고, 확인한 모든 필드가 일치했습니다.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"middle_name": "Demo"
},
"validation": {
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: 식별 번호는 찾았지만, 하나 이상의 개인 정보 필드(보통 성명 또는 생년월일)가 완전히 일치하지 않았습니다.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"middle_name": "Demo"
},
"validation": {
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: 레지스트리에서 제출한 데이터와 일치하는 항목을 반환하지 않았습니다.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_driver_license_dmv",
"service_name": "United States - Driver's License (DMV)",
"source_data": {
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
반환 데이터
source_data에 표시되는 정확한 필드는 레지스트리가 반환하는 값에 따라 달라집니다. usa_driver_license_dmv에 대해 생성된 예시는 현재 다음과 같은 정규화된 형태를 문서화하고 있습니다:
date_of_birthfirst_nameidentification_numberlast_namemiddle_name
요금 및 SLA
미국 운전면허(DMV) 조회는 검증 소스로부터 Didit이 확정적인 결과를 받은 경우에만 청구됩니다.- 호출당 가격: $1.99 USD.
- 결제: 성공한 조회 건당 청구됩니다. 등록부에 연결할 수 없는 경우, 필수 필드가 누락된 경우, 또는 요청이 소스에 도달하기 전에 거부된 경우에는 청구되지 않습니다.
- 지연 시간: 일반적인 p95 < 2 s.
- 가용성: Didit 측 기준 분기당 99.9%이며, 하위 소스의 가용성은 국가 및 데이터셋에 따라 다릅니다.
계속 읽기
마지막 수정일 2026년 11월 12일